%global pypi_name hudman

%global _description %{expand:
This package provides a HUD Manager implementation.

HUD Manager is a simple tool for creating a local HUD mirror. Can be used
together with the SRC Repair project.

This product can operate in two modes: anonymous and authorized.
Please read manpage for additional information.}

Name: python-%{pypi_name}
Version: 8.0.0
Release: 1%{?dist}

# Main code - GPLv3+.
# Icon - Apache 2.0.
License: GPLv3+ and ASL 2.0
Summary: HUD Manager
URL: https://github.com/xvitaly/%{pypi_name}
Source0: %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: doxygen
BuildRequires: pandoc
BuildRequires: python3-devel

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %_description

%package doc
Summary: Documentation for the %{name}
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description doc
This package provides auto-generated by Doxygen documentation for
the %{name} package.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel
doxygen
pandoc packaging/assets/manpage.md -s -t man > packaging/assets/%{pypi_name}.1

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
install -D -p -m 0644 packaging/assets/%{pypi_name}.1 %{buildroot}%{_mandir}/man1/%{pypi_name}.1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE licenses/*
%doc README.md
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1*

%files doc
%doc docs/html/*

%changelog
* Thu Sep 15 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 8.0.0-1
- Updated to version 8.0.0.

* Fri Sep 09 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 7.0.0-1
- Updated to version 7.0.0.

* Thu Aug 25 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 6.0.0-1
- Updated to version 6.0.0.

* Fri Jul 29 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 5.1.0-1
- Updated to version 5.1.0.
